﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Samples6668._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        #controlss
        {
            width: 512px;
        }
        #controlToggle
        {
            padding-left: 1em;
        }
        #controlToggle li
        {
            list-style: none;
        }
    </style>

    <script type="text/javascript">
        var olMap;
        var OnMapCreated = function(map) {
            olMap = map;
            controls = olMap.controls;
        }

        function toggleControl(element) {
            for (key in controls) {
                var control = controls[key];
                if (control) {
                    if (element.value == controls[key].id && element.checked) {
                        control.mode = 0;
                    } else {
                        control.deactivate();
                    }
                }
            }
        }

        function update() {
            var modifyControl = olMap.getControl('Modify');
            modifyControl.deactivate();
            // reset modification mode
            modifyControl.mode = OpenLayers.Control.ModifyFeature.RESHAPE;
            var rotate = document.getElementById("rotate").checked;
            if (rotate) {
                modifyControl.mode |= OpenLayers.Control.ModifyFeature.ROTATE;
            }
            var resize = document.getElementById("resize").checked;
            if (resize) {
                modifyControl.mode |= OpenLayers.Control.ModifyFeature.RESIZE;
                var keepAspectRatio = document.getElementById("keepAspectRatio").checked;
                if (keepAspectRatio) {
                    modifyControl.mode &= ~OpenLayers.Control.ModifyFeature.RESHAPE;
                }
            }
            var drag = document.getElementById("drag").checked;
            if (drag) {
                modifyControl.mode |= OpenLayers.Control.ModifyFeature.DRAG;
            }
            if (rotate || drag) {
                modifyControl.mode &= ~OpenLayers.Control.ModifyFeature.RESHAPE;
            }
            modifyControl.activate();
        }

        function SavaFeature() {
            var modifyControl = olMap.getControl('Modify');
            var feature = modifyControl.feature;
        }
        
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
    </cc1:Map>
    <div id="controlss">
        <ul id="controlToggle">
            <li>
                <input type="radio" name="type" value="Modify" id="modifyToggle" onclick="toggleControl(this);" />
                <label for="modifyToggle">
                    modify feature</label>
                <ul>
                    <li>
                        <input id="rotate" type="checkbox" name="rotate" onclick="update()" />
                        <label for="rotate">
                            allow rotation</label>
                    </li>
                    <li>
                        <input id="resize" type="checkbox" name="resize" onclick="update()" />
                        <label for="resize">
                            allow resizing</label>
                        (<input id="keepAspectRatio" type="checkbox" name="keepAspectRatio" onclick="update()"
                            checked="checked" />
                        <label for="keepAspectRatio">
                            keep aspect ratio</label>) </li>
                    <li>
                        <input id="drag" type="checkbox" name="drag" onclick="update()" />
                        <label for="drag">
                            allow dragging</label>
                    </li>
                    <li>
                        <asp:Button ID="buttonSubmit" runat="server" Text="Change" OnClick="buttonSubmit_Click" />
                    </li>
                    <li>
                        <asp:Button ID="buttonEditShape" runat="server" Text="Edit" OnClick="buttonEditShape_Click" />
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    </form>
</body>
</html>
